#!/usr/bin/perl

$usage = <<EOF;
usage: addspike.pl <potentialfile> <synaticfile> <spikesize>
	output: stdout
EOF

if ($#ARGV!=2) {
	print $usage;
	exit;
}

$potenfile = $ARGV[0];
$synfile = $ARGV[1];
$spike = $ARGV[2];

open(PF,"$potenfile");
open(SF,"$synfile");

for ($i=0; $i<3; ++$i) {
	$prev[$i]=100; $cur[$i]=100;
}

while (<SF>) {
	chop;
	$p_ = <PF>;
	chop $p_;

	@scols = split(/[\s]+/,$_);	
	@pcols = split(/[\s]+/,$p_);	
	
	for ($i=0; $i<3; ++$i) {

		$cur[$i]=$scols[$i+1];

		if ($cur[$i]>$prev[$i]) {
			$spikes[$i] = $spike;		
		} else {
			$spikes[$i] = $pcols[$i+1];
		}
		
		$prev[$i]=$cur[$i];
	}

	print $pcols[0]." ";
	for ($i=0; $i<3; ++$i) {
		print $spikes[$i]." ";
	}
	print "\n";
	   
}

