#!/usr/bin/perl

# Calculate n factorial and Sterling's approximation

if ($#ARGV != 0) {
  print "usage: factorial.pl <n>\n";
  exit;
}

for ($i=1; $i<=$ARGV[0]; ++$i) {

  print "$i ";
  print &factorial($i)." ";
  print &sterling($i)."\n";

}

sub factorial {

  my ($n) = @_;
  my $i;
  my $fact=1;

  for ($i=1; $i<=$n; ++$i) {
	$fact *= $i;
  }
 
  return $fact;

}	
	
sub sterling {

  my ($n) = @_;
  my $i;
  my $fact=1;
  
  $fact = exp($n * (log($n)-1.0));

  return $fact;

}
