# function M = graymattocoord(X)
#	convert matrix X into a n x 2 matrix
#	where m_i1 = x and m_i2 = y where M_xy == 1

function M = graymattocoord(X)

  i = 1;
  [r,c] = size(X);
  for x=1:c
	for y=1:r
		if (X(y,x)>0) 
			for k=1:X(y,x) 
				M(i,1)=x+rand(1,1)/2;
				M(i,2)=y+rand(1,1)/2;
				++i;
			end
		end
	end
  end

end
