#!/usr/bin/perl

$usage = <<'EOF';
#----------------------------------------------------------------------------
# $Id: stripcol.pl,v 1.1 2002/09/05 19:37:12 yschoe Exp yschoe $
# 				  
# 1. Author: Yoosuck Choe <yschoe@cs.utexas.edu>
#
# 2. Description: Strip virst few columns from a datafile
#
#	mplotdat <n> <filename>
#
#	remove first <n> columns from file, and make it octave format
#
# 5. Creation: Thu Mar 16 15:57:15 CST 2000
#----------------------------------------------------------------------------
EOF

if ($#ARGV!=1) {
	print $usage;
	exit;
}

# 1. find matrix dimension
open(FP,"$ARGV[1]");

$rows = 0;
$cols = 0;
while(<FP>) {

  chop;
  $lines[$rows] = $_;
  @data = split(/[\s]+/);
  $cols = $#data + 1;
  $rows ++;

}

close(FP);

$cols -= $ARGV[0];

open(WFP,">$ARGV[1]");
print WFP <<EOF;
# stripcol.pl $ARGV[1]
# name: ormap
# type: matrix
# rows: $rows
# columns: $cols
EOF

for ($i=0; $i<=$#lines; ++$i) {
  chop $lines[$i];
  @cols = split(/[\s]+/,$lines[$i]);
  for ($k=$ARGV[0]; $k<=$#cols; ++$k) {
	print WFP "$cols[$k] ";
  }
  print WFP "\n";
}
close(WFP);



