# function n = espanalyse(n,zeta,p1,p2,lst,poption)
# n : snapshot number
# zeta: number of neurons
# p1 : 2nd pc to use
# p2 : 1st pc to use
# lst : last n points of the trajectory
# poption: not used.
# Aanlyse Tino Gomez's ESP 2D pole balancing state and cart trajectory dumps.

function n = espanalyse(n,zeta,p1,p2,lst,poption)

eval(sprintf("load -force state%03d.traj;",n));

eval(sprintf("load -force contpath%03d.traj;  cp = contpath%03d; istat = state%03d(:,3:zeta); [r,c] = size(istat); a=max((r-lst),1):r; [r,c] = size(cp); b=max((r-lst),1):r; [v,d] = pca(istat); pcv=istat*v; graw(\"set term postscript eps mono %sHelvetica%s 20; set linestyle 2 lt 1 lw 2 pt 1 ps 3; set output %spath%03d.last%05d.ps%s;\"); plot(cp(b,1),cp(b,2),\".-\"); ",n,n,n,"\\\"","\\\"","\\\"",n,lst,"\\\""));

eval(sprintf("graw(\"set term postscript eps mono %sHelvetica%s 20; set linestyle 2 lt 1 lw 2 pt 1 ps 3; set output %sstraj%03d.last%05d.ps%s;\"); plot(pcv(a,p1),pcv(a,p2),\".\"); ","\\\"","\\\"","\\\"",n,lst,"\\\""));

eval(sprintf("graw(\"set term postscript eps mono %sHelvetica%s 20; set linestyle 2 lt 1 lw 2 pt 1 ps 3; set output %sstraj%03d.all.ps%s;\"); plot(pcv(:,p1),pcv(:,p2),\".\"); ","\\\"","\\\"","\\\"",n,"\\\""));
end
