#!/usr/bin/perl

$usage = <<'EOF';
#----------------------------------------------------------------------------
#
# mat2octave.pl <filename>
# 
# 	convert plain ASCII matrix into octave ascii matrix with headers
#
#	Content of the original file is overwritten.
#----------------------------------------------------------------------------
EOF

if ($#ARGV!=0) {
	print $usage;
	exit;
}

# 1. find matrix dimension
open(FP,"$ARGV[0]");

$rows = 0;
$cols = 0;
while(<FP>) {

  chop;
  $lines[$rows] = $_;
  @data = split(/[\s]+/);
  $cols = $#data + 1;
  $rows ++;

}

close(FP);

open(WFP,">$ARGV[0]");
print WFP <<EOF;
# mat2octave.pl $ARGV[0]
# name: ormap
# type: matrix
# rows: $rows
# columns: $cols
EOF

for ($i=0; $i<=$#lines; ++$i) {
  print WFP "$lines[$i]\n";
}
close(WFP);



