# function M = orenergyraw(X,k_size,theta,freq)
#	instead of the sum of squares of sin vs cos channels,
#	return max(cos,sin)
 

function M = orenergyraw(X,k_size,theta,freq)

	d = dogfilter(X,k_size);

	c = conv2(d,gabor(k_size,k_size,"cos",theta,freq),"same");
	s = conv2(d,gabor(k_size,k_size,"sin",theta,freq),"same");

	M = (real(c))+(real(s));

endfunction

	
