#!/usr/bin/perl
# Mon Dec  8 23:22:16 CST 2003
# choe@tamu.edu

$usage = <<EOF;
usage: plotsomnet.pl <n> <x x' y y' matrix> <other options>
	n: map size (n x n)
	matrix: n x 4n matrix containing [x,x',y,y'].
EOF

if ($#ARGV!=2) {
	print $usage;
	exit;
}

$N = $ARGV[0];
$fname = $ARGV[1];
$opt = $ARGV[2];

$plotspec = "";
for ($i=1; $i<=$N; ++$i) {
	$plotspec .=($i).":".($i+2*$N).",";
	$plotspec .= ($i+$N).":".($i+3*$N).",";
}
chop $plotspec;
	

`mplotdat -c $plotspec $opt -w lines -X "SOM Weight 1st PC"  -Y "SOM Weight 2nd PC" -e "set nokey;" -f $fname`;
