# function M = quantize(X,n)
#	quantize gray levels in X to only n.

function M = quantize(X,n)

  [n,x] = hist(vec(X));

  c = cumsum(n);

  max_c = max(max(c));
  min_c = min(min(c));

  step_size = round((max_c-min_c)/n);
  
endfunction
