#!/usr/bin/perl

$usage = <<EOF ;
usage: randfiles.pl <file1> <file2> ...
	- generates random sequence of files [<begin>..<end>]
EOF

if ($#ARGV < 1) {
	print $usage;
	exit;
}

$begin = 0;
$end = $#ARGV;

for ($i=$begin,$k=0; $i<=$end; ++$i,++$k) {
	$array[$k]=$i;
}

$max_idx = $k;

for ($k=0; $k<=$end*2; ++$k) {
	$src 	= rand $max_idx;	
	$target = rand $max_idx;	
	$tmp = $array[$src];
	$array[$src] = $array[$target];
	$array[$target] = $tmp;
}


foreach $val (@array) {
	print "$ARGV[$val]\n";
}
