#!/usr/bin/perl

$usage = "usage: stat.pl <column> <datafile>\n";

if ($#ARGV != 1) {
	print $usage."\n";
	exit;
}

open (FP,$ARGV[1]);

$col_num = $ARGV[0]-1;

$n=0;
$sum = 0;
while (<FP>) {

	chop;
	@cols = split(/[\s]+/);
	$vec[$n] = $cols[$col_num];
	++$n;
	$sum += $cols[$col_num];
}

$avg = $sum/$n;

print "Sum\t = $sum\n";
print "Average\t = $avg\n";

$var_sum = 0;
for ($i=0; $i<$n; ++$i) {
  $var_sum += ($vec[$i]-$avg)*($vec[$i]-$avg);
}

$var = $var_sum / ($n-1);

print "Variance\t = $var\n";

$std = sqrt($var);

print "Std\t\t= $std\n";

close(FP);




 
