# function d = somdist(W,I)
#
#	W : n x (x * x) weight matrix
#		n : number of units
#		x * x : input dimension
#
#	I : (x*x) x 1 rowvector
#

function d = somdist(W,I)

	n = rows(W);

	# inp = kron(ones(n,1),I);

	for i=1:n
		W(i,:) = W(i,:) - I;
	endfor
	d = W.^2;
	d = sum(d');
	d = sqrt(d);
endfunction

